using UnityEngine;
using System.Collections;

public class IKController : MonoBehaviour
{
	public Transform target;
	public Transform hinge_target;

	InverseKinematicsScript ik_script;

	// Use this for initialization
	void Start () {
		ik_script = GetComponent<InverseKinematicsScript>();
	}
	
	// Update is called once per frame
	void Update () {
		ik_script.SetTarget(target);
		ik_script.SetHingeTarget(hinge_target);
		ik_script.CalculateIK();
	}
}
